# Progress

    class Progress : NSObject

- `setProgressHandler(_:)`

  Sets a closure that the `Progress` calls whenever its `fractionCompleted` changes. You can use this instead of setting up KVO.

  #### Declaration

  Swift

      @nonobjc
      public func setProgressHandler(_ closure: ((_ progress: Progress) -> Void)?)

  #### Parameters

  `closure` | the closure to execute on progress change

- `cs_setProgressHandler(_:)`

  Sets a closure that the `NSProgress` calls whenever its `fractionCompleted` changes. You can use this instead of setting up KVO.

  #### Declaration

  Swift

      @objc
      dynamic public func cs_setProgressHandler(_ closure: ((_ progress: Progress) -> Void)?)

  #### Parameters

  `closure` | the closure to execute on progress change